【活用ガイド】

[English]

JVNDB-2010-000041

K2Editor における実行ファイル読み込みに関する脆弱性

概要

K2Editor には、実行ファイル読み込みに関する脆弱性が存在します。

K2Editor は、テキストエディタです。K2Editor は編集中のテキストファイルを保存しているフォルダを開く際に、特定の実行ファイルを読み込みます。K2Editor には、実行ファイルを読み込む際のファイル検索パスに問題があり、意図しない実行ファイルを読み込んでしまう脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 塩月 誠人 氏

CVSS による深刻度 (CVSS とは?)

基本値: 5.1 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


K2 Software
  • K2Editor r.1.5.8 およびそれ以前

想定される影響

プログラムを実行している権限で、任意のコードを実行される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに最新版へアップデートしてください。
ベンダ情報

K2 Software
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2010-3156
参考情報

  1. JVN : JVN#36921800
  2. JVN : JVNTA10-238A
  3. JVN Status Tracking Notes : JVNTR-2010-23
  4. National Vulnerability Database (NVD) : CVE-2010-3156
  5. US-CERT Technical Cyber Security Alert : TA10-238A
更新履歴

[2010年10月15日]
  掲載